Subject: [Ntp] Antw: [EXT] Re: Éric Vyncke's No Objection on draft-ietf-ntp-packet-timestamps-08: (with COMMENT)

From: "Ulrich Windl" <[email-masked]>
Date: Wed, 04 Mar 2020 08:41:06 +0100

>>> Hal Murray <[email-masked]> schrieb am 03.03.2020 um 15:05 in
Nachricht
<28933_1583244350_5E5E643E_28933_770_1_20200303140517.B1E5340605C@ip-64-139-1-69
sjc.megapath.net>:

> [email-masked] said:
>> NEW: a timestamp is often used as part of a value that is unlikely to
repeat
>> (nonce) 
> 
> Is there a good reference for using time as a nonce?  I'd be happier if 
> there 
> was a hint that it's easy to get times to repeat if you don't have a TOY 
> clock.

If you consider UUIDs to be nonces, the first generation UUIDs (RFC 4122) were
basically time-based (but they also have a "unique location" (MAC). Whether
they repeat is depending on the resolution: with nonoseconds it's quite
unlikely, as generally the more bits you use, the less likely it's to repeat
that (the lottery works that way, too ;-)

> 
> 
>> NEW: The number of bits (or octets) used to represent the packet timestamp
>> field.  If the timestamp is comprised of more than one field, the size of
>> each field is specified. Network order (big endian) is assumed by default;

> if
>> this is not the case then this section explicitly specifies the endianity.

> 
> Are there any RFCs that use other than big‑endian?  Introducing the 
> opportunity for otherwise seems like unnecessary complexity as well as an 
> invitation for interoperability troubles.
> 
> 
> ‑‑ 
> These are my opinions.  I hate spam.
> 
> 
> 
> _______________________________________________
> ntp mailing list
> [email-masked] 
> https://www.ietf.org/mailman/listinfo/ntp